MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026063Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2015-04-13 12:152015-10-23 20:51
Reporterdbv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0026063: GeomAPI_ExtremaCurveSurface have inexact API
DescriptionIn case if you pass to class curve which is parallel to the surface it will work correctly and method NbExtrema() will return "1" value. But methods
- Points (const Standard_Integer Index, gp_Pnt &P1, gp_Pnt &P2) const
- Parameters (const Standard_Integer Index, Quantity_Parameter &W, Quantity_Parameter &U, Quantity_Parameter &V) const
- NearestPoints (gp_Pnt &PC, gp_Pnt &PS) const
will throw out of range exception. This is confusing because it does not conform to the description of methods.

My suggestion is to add IsParallel method to GeomAPI_ExtremaCurveSurface (similar to Extrema_ExtCS which is used inside GeomAPI_ExtremaCurveSurface) and change methods description.
Steps To Reproducepload MODELING VISUALIZATION

polyline l 0 -10 -10 0 10 -10 0 10 10 0 -10 10 0 -10 -10
mkplane pl l
mksurface surf pl
vdisplay pl

vertex v1 10 -5 0
vertex v2 10 5 0
edge e v1 v2
mkcurve curv e
vdisplay e

vfit

extrema surf curv
TagsNo tags attached.
Test case numberbugs modalg_6 bug26063
Attached Files

- Relationships
related to 0026269verifiedbugmaster Modeling Data - Analytical extrema does not take into account trimmed input data 

-  Notes
(0041560)
git (administrator)
2015-05-26 14:08

Branch CR26063 has been created by aml.

SHA-1: e4fb8cc765d1790705974b3188c60e3f74e2151b


Detailed log of new commits:

Author: aml
Date: Tue May 26 14:05:16 2015 +0300

    0026063: GeomAPI_ExtremaCurveSurface have inexact API
    
    Reason of exception was eliminated.
(0041561)
aml (developer)
2015-05-26 14:11

Dear msv,

Please check current state of branch CR26063. Fix changes only extCS and does not touch API. In general problem will solved in scope of bug 0026269.
(0041568)
msv (developer)
2015-05-26 15:11

Reviewed.
(0041607)
git (administrator)
2015-05-27 15:03

Branch CR26063 has been updated by apv.

SHA-1: 63483211f759d7a5c3c1c10d559359e549b9873e


Detailed log of new commits:

Author: apv
Date: Wed May 27 15:03:40 2015 +0300

    Test-case for issue 0026063

(0041608)
apv (tester)
2015-05-27 15:06

Dear BugMaster,

Branch CR26063 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: e4fb8cc765d1790705974b3188c60e3f74e2151b

Number of compiler warnings:
occt component:
   Linux: 25 (25 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 37 (37 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
bugs modalg_6 bug26063 - OK
http://occt-tests/CR26063-master-occt-64/Debian70-64/bugs/modalg_6/bug26063.html [^]
http://occt-tests/CR26063-master-occt-64/Windows-64-VC10/bugs/modalg_6/bug26063.html [^]

Testing on Linux:
Total MEMORY difference: 99807977 / 99849930 [-0.04%]
Total CPU difference: 18949.84000000009 / 18394.50000000015 [+3.02%]

Testing on Windows:
Total MEMORY difference: 58852190 / 58823339 [+0.05%]
Total CPU difference: 16876.90578459874 / 16850.15161309903 [+0.16%]
(0044257)
git (administrator)
2015-08-14 11:00

Branch CR26063 has been deleted by inv.

SHA-1: 63483211f759d7a5c3c1c10d559359e549b9873e

- Related Changesets
occt: master 9176540c
Timestamp: 2015-05-28 09:44:41
Author: aml
Committer: bugmaster
Details ] Diff ]
0026063: GeomAPI_ExtremaCurveSurface have inexact API

Reason of exception was eliminated.

Test-case for issue 0026063
mod - src/Extrema/Extrema_ExtCS.cxx Diff ] File ]
add - tests/bugs/modalg_6/bug26063 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-04-13 12:15 dbv New Issue
2015-04-13 12:15 dbv Assigned To => msv
2015-04-13 12:25 dbv Description Updated View Revisions
2015-04-13 12:30 msv Target Version 6.9.0 => 7.1.0
2015-05-20 15:51 msv Assigned To msv => aml
2015-05-20 15:55 msv Status new => assigned
2015-05-26 13:54 aml Relationship added related to 0026269
2015-05-26 14:08 git Note Added: 0041560
2015-05-26 14:11 aml Note Added: 0041561
2015-05-26 14:11 aml Assigned To aml => msv
2015-05-26 14:11 aml Status assigned => resolved
2015-05-26 15:11 msv Note Added: 0041568
2015-05-26 15:11 msv Assigned To msv => bugmaster
2015-05-26 15:11 msv Status resolved => reviewed
2015-05-26 16:25 apv Assigned To bugmaster => apv
2015-05-27 15:03 git Note Added: 0041607
2015-05-27 15:04 apv Test case number => bugs modalg_6 bug26063
2015-05-27 15:06 apv Note Added: 0041608
2015-05-27 15:06 apv Assigned To apv => bugmaster
2015-05-27 15:06 apv Status reviewed => tested
2015-05-29 14:15 bugmaster Changeset attached => occt master 9176540c
2015-05-29 14:15 bugmaster Status tested => verified
2015-05-29 14:15 bugmaster Resolution open => fixed
2015-05-29 14:19 bugmaster Target Version 7.1.0 => 7.0.0
2015-08-14 11:00 git Note Added: 0044257
2015-08-26 11:14 abv Target Version 7.0.0 => 6.9.1
2015-10-16 14:56 aiv Status verified => closed
2015-10-23 20:51 aiv Fixed in Version => 6.9.1


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker